<div class="form-group mt-4">
    <label for="{{$fieldName}}" class="form-label">{{$longName}}</label>

    <div class="input-group">
        <input
                class="form-control @error($fieldName) is-invalid @enderror"
                type="file"
                id="{{$fieldName}}"
                name="{{$fieldName}}"
                {{$attributes}}>
        <div class="btn btn-outline-danger"
                onclick="clearUploads()"
                title="Clear selected files">

            <i class="bi bi-x-circle"></i>
        </div>
    </div>

    <x-form.error :$fieldName/>

    <script>
      function clearUploads() {
        document.getElementById("{{$fieldName}}").value = null;
      }
    </script>
</div>
